
GammaLib - Bug #2177

UTC time conversion error

08/08/2017 06:42 PM - Knödlseder Jürgen

Status: Closed Start date: 08/08/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

An MET time of 631108869.18 gives an UTC time of 2019-12-31T23:59:60. This can be reproduced by:

>>> import gammalib

>>> import ctools

>>> sim=ctools.ctobssim()

>>> t=gammalib.GTime()

>>> t.set(631108869.18,sim._time_reference())

>>> print t.utc()

2019-12-31T23:59:60

History

#1 - 08/08/2017 06:45 PM - Knödlseder Jürgen

Note that this is probably a rounding error in GTime::utc().

#2 - 08/08/2017 08:55 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.5.0

- % Done changed from 0 to 100

The rounding error has been corrected and the change merged into devel.
